---
updatedAt: 2025-11-20T07:46:14.000Z
agentTools:
  projectIndex: https://partner-docs.gupshup.io/llms.txt
---

# Delete all subscriptions for an app

This API endpoint removes all webhook subscriptions for a partner application. This is a bulk operation that deletes every configured webhook at once. Use this with extreme caution as it's irreversible and will immediately stop all event deliveries to all webhooks. For removing individual subscriptions, use the delete specific subscription endpoint instead.

## Request Parameters

| Key           | Value                 | Description                                        | Data Types | Require/Optional | Constraints                                                              |
| :------------ | :-------------------- | :------------------------------------------------- | :--------- | :--------------- | :----------------------------------------------------------------------- |
| Authorization | `{PARTNER_APP_TOKEN}` | Partner app access token issued post partner login | String     | Required         | Should be a valid Partner app access token belonging to the passed appId |
| appId         | `{App_ID}`            | App ID for the app to be deleted                   | String     | Required         | Valid app ID                                                             |

## Sample Request

```curl
curl --location --request DELETE 'https://partner.gupshup.io/partner/app/:appId/subscription' \
--header 'Authorization: {PARTNER_APP_TOKEN}'
```

## Sample Response

```json
```

## Status Codes

| Status Code | Response                                                                   | Comments                                                |
| :---------- | :------------------------------------------------------------------------- | :------------------------------------------------------ |
| **Success** |                                                                            |                                                         |
| 204         |                                                                            | Success when all subscriptions are deleted. No content. |
| **Error**   |                                                                            |                                                         |
| 400         | `{     "status":"error",     "message/data":"&lt;Specific to API&gt;"   }` | Error with respect to API                               |
| 401         | `{     "status":"error",     "message":"Unauthorized Access"   }`          | When authentication fails                               |
| 403         | `{     "status":"error",     "message":"Unauthorized Access"   }`          | Access is not allowed                                   |
| 429         | `{       "status": "error",       "message": "Too Many Requests"   }`      | 5 calls per minute                                      |
| 500         | `{     "status": "error",     "message": "Internal Server Error"   }`      | For any Internal Error                                  |

# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "info": {
    "title": "Delete All Subscriptions",
    "version": "1.0.0"
  },
  "servers": [
    {
      "url": "https://partner.gupshup.io"
    }
  ],
  "paths": {
    "/partner/app/{appId}/subscription": {
      "delete": {
        "tags": [
          "default"
        ],
        "summary": "Delete all subscriptions for an app",
        "parameters": [
          {
            "name": "Authorization",
            "in": "header",
            "required": true,
            "schema": {
              "type": "string"
            },
            "example": "sk_987654xxxxxxxxxxxxxxxxxxxxxxxxxxxxx",
            "description": "Your app token, please refer [**Get access token api**](https://docs.gupshup.io/reference/get_partner-app-appid-token) to get the token from partner documentation."
          },
          {
            "name": "appId",
            "in": "path",
            "schema": {
              "type": "string"
            },
            "required": true,
            "example": "657c0203-0b4d-xxxx-xxxx-xxxxxxx35a16"
          }
        ],
        "responses": {
          "204": {
            "description": "No Content"
          },
          "400": {
            "description": "Bad Request",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "status": {
                      "type": "string",
                      "example": "error"
                    },
                    "message": {
                      "type": "string",
                      "example": "API key is not associated with partner"
                    }
                  }
                }
              }
            }
          },
          "429": {
            "description": "Too Many Requests",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "status": {
                      "type": "string",
                      "example": "error"
                    },
                    "message": {
                      "type": "string",
                      "example": "Too Many Requests"
                    }
                  }
                }
              }
            }
          }
        }
      }
    }
  },
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true
  }
}
```